diff --git a/kimap/imapstreamparser.cpp b/kimap/imapstreamparser.cpp
index 50a8552..37bf691 100644
--- a/kimap/imapstreamparser.cpp
+++ b/kimap/imapstreamparser.cpp
@@ -48,20 +48,21 @@ QString ImapStreamParser::readUtf8String()
   return result;
 }
 
-
 QByteArray ImapStreamParser::readString()
 {
   QByteArray result;
-  if ( !waitForMoreData( m_data.length() == 0 ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_data.length() == 0 ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   stripLeadingSpaces();
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
 
   // literal string
   // TODO: error handling
   if ( hasLiteral() ) {
-    while (!atLiteralEnd()) {
+    while ( !atLiteralEnd() ) {
       result += readLiteralPart();
     }
     return result;
@@ -73,58 +74,65 @@ QByteArray ImapStreamParser::readString()
 
 bool ImapStreamParser::hasString()
 {
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int savedPos = m_position;
   stripLeadingSpaces();
   int pos = m_position;
   m_position = savedPos;
-  if ( m_data.at(pos) == '{' )
+  if ( m_data.at( pos ) == '{' ) {
     return true; //literal string
-  if (m_data.at(pos) == '"' )
+  }
+  if ( m_data.at( pos ) == '"' ) {
     return true; //quoted string
-  if ( m_data.at(pos) != ' ' &&
-       m_data.at(pos) != '(' &&
-       m_data.at(pos) != ')' &&
-       m_data.at(pos) != '[' &&
-       m_data.at(pos) != ']' &&
-       m_data.at(pos) != '\n' &&
-       m_data.at(pos) != '\r' )
+  }
+  if ( m_data.at( pos ) != ' ' &&
+       m_data.at( pos ) != '(' &&
+       m_data.at( pos ) != ')' &&
+       m_data.at( pos ) != '[' &&
+       m_data.at( pos ) != ']' &&
+       m_data.at( pos ) != '\n' &&
+       m_data.at( pos ) != '\r' ) {
     return true;  //unquoted string
+  }
 
   return false; //something else, not a string
 }
 
 bool ImapStreamParser::hasLiteral()
 {
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int savedPos = m_position;
   stripLeadingSpaces();
-  if ( m_data.at(m_position) == '{' )
-  {
+  if ( m_data.at( m_position ) == '{' ) {
     int end = -1;
     do {
       end = m_data.indexOf( '}', m_position );
-      if ( !waitForMoreData( end == -1 ) )
-        throw ImapParserException("Unable to read more data");
-    } while (end == -1);
+      if ( !waitForMoreData( end == -1 ) ) {
+        throw ImapParserException( "Unable to read more data" );
+      }
+    } while ( end == -1 );
     Q_ASSERT( end > m_position );
     m_literalSize = m_data.mid( m_position + 1, end - m_position - 1 ).toInt();
     // strip CRLF
     m_position = end + 1;
 
-    if ( m_position < m_data.length() && m_data.at(m_position) == '\r' )
+    if ( m_position < m_data.length() && m_data.at( m_position ) == '\r' ) {
       ++m_position;
-    if ( m_position < m_data.length() && m_data.at(m_position) == '\n' )
+    }
+    if ( m_position < m_data.length() && m_data.at( m_position ) == '\n' ) {
       ++m_position;
+    }
 
     //FIXME: Makes sense only on the server side?
-    if (m_isServerModeEnabled && m_literalSize > 0)
+    if ( m_isServerModeEnabled && m_literalSize > 0 ) {
       sendContinuationResponse( m_literalSize );
+    }
     return true;
-  } else
-  {
+  } else {
     m_position = savedPos;
     return false;
   }
@@ -132,7 +140,7 @@ bool ImapStreamParser::hasLiteral()
 
 bool ImapStreamParser::atLiteralEnd() const
 {
-  return (m_literalSize == 0);
+  return ( m_literalSize == 0 );
 }
 
 QByteArray ImapStreamParser::readLiteralPart()
@@ -140,18 +148,19 @@ QByteArray ImapStreamParser::readLiteralPart()
   static qint64 maxLiteralPartSize = 4096;
   int size = qMin(maxLiteralPartSize, m_literalSize);
 
-  if ( !waitForMoreData( m_data.length() < m_position + size ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_data.length() < m_position + size ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
 
   if ( m_data.length() < m_position + size ) { // Still not enough data
     // Take what's already there
     size = m_data.length() - m_position;
   }
 
-  QByteArray result = m_data.mid(m_position, size);
+  QByteArray result = m_data.mid( m_position, size );
   m_position += size;
   m_literalSize -= size;
-  Q_ASSERT(m_literalSize >= 0);
+  Q_ASSERT( m_literalSize >= 0 );
   trimBuffer();
 
   return result;
@@ -159,80 +168,81 @@ QByteArray ImapStreamParser::readLiteralPart()
 
 bool ImapStreamParser::hasList()
 {
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int savedPos = m_position;
   stripLeadingSpaces();
   int pos = m_position;
   m_position = savedPos;
-  if ( m_data.at(pos) == '(' )
-  {
+  if ( m_data.at( pos ) == '(' ) {
     return true;
   }
-
   return false;
 }
 
 bool ImapStreamParser::atListEnd()
 {
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int savedPos = m_position;
   stripLeadingSpaces();
   int pos = m_position;
   m_position = savedPos;
-  if ( m_data.at(pos) == ')' )
-  {
+  if ( m_data.at( pos ) == ')' ) {
     m_position = pos + 1;
     return true;
   }
-
   return false;
 }
 
 QList<QByteArray> ImapStreamParser::readParenthesizedList()
 {
   QList<QByteArray> result;
-  if (! waitForMoreData( m_data.length() <= m_position ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_data.length() <= m_position ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
 
   stripLeadingSpaces();
-  if ( m_data.at(m_position) != '(' )
+  if ( m_data.at( m_position ) != '(' ) {
     return result; //no list found
+  }
 
   bool concatToLast = false;
   int count = 0;
   int sublistbegin = m_position;
   int i = m_position + 1;
   Q_FOREVER {
-    if ( !waitForMoreData( m_data.length() <= i ) )
-    {
+    if ( !waitForMoreData( m_data.length() <= i ) ) {
       m_position = i;
-      throw ImapParserException("Unable to read more data");
+      throw ImapParserException( "Unable to read more data" );
     }
-    if ( m_data.at(i) == '(' ) {
+    if ( m_data.at( i ) == '(' ) {
       ++count;
-      if ( count == 1 )
+      if ( count == 1 ) {
         sublistbegin = i;
+      }
       ++i;
       continue;
     }
-    if ( m_data.at(i) == ')' ) {
+    if ( m_data.at( i ) == ')' ) {
       if ( count <= 0 ) {
         m_position = i + 1;
         return result;
       }
-      if ( count == 1 )
+      if ( count == 1 ) {
         result.append( m_data.mid( sublistbegin, i - sublistbegin + 1 ) );
+      }
       --count;
       ++i;
       continue;
     }
-    if ( m_data.at(i) == ' ' ) {
+    if ( m_data.at( i ) == ' ' ) {
       ++i;
       continue;
     }
-    if ( m_data.at(i) == '"' ) {
+    if ( m_data.at( i ) == '"' ) {
       if ( count > 0 ) {
         m_position = i;
         parseQuotedString();
@@ -240,27 +250,27 @@ QList<QByteArray> ImapStreamParser::readParenthesizedList()
         continue;
       }
     }
-    if ( m_data.at(i) == '[' ) {
+    if ( m_data.at( i ) == '[' ) {
       concatToLast = true;
       if ( result.isEmpty() ) {
         result.append( QByteArray() );
       }
-      result.last()+='[';
+      result.last() += '[';
       ++i;
       continue;
     }
-    if ( m_data.at(i) == ']' ) {
+    if ( m_data.at( i ) == ']' ) {
       concatToLast = false;
-      result.last()+=']';
+      result.last() += ']';
       ++i;
       continue;
     }
     if ( count == 0 ) {
       m_position = i;
       QByteArray ba;
-      if (hasLiteral()) {
-        while (!atLiteralEnd()) {
-          ba+=readLiteralPart();
+      if ( hasLiteral() ) {
+        while ( !atLiteralEnd() ) {
+          ba += readLiteralPart();
         }
       } else {
         ba = readString();
@@ -268,13 +278,14 @@ QList<QByteArray> ImapStreamParser::readParenthesizedList()
 
       // We might sometime get some unwanted CRLF, but we're still not at the end
       // of the list, would make further string reads fail so eat the CRLFs.
-      while ( ( m_position < m_data.size() ) && ( m_data.at(m_position) == '\r' || m_data.at(m_position) == '\n' ) ) {
+      while ( ( m_position < m_data.size() ) &&
+              ( m_data.at( m_position ) == '\r' || m_data.at( m_position ) == '\n' ) ) {
         m_position++;
       }
 
       i = m_position - 1;
-      if (concatToLast) {
-        result.last()+=ba;
+      if ( concatToLast ) {
+        result.last() += ba;
       } else {
         result.append( ba );
       }
@@ -287,68 +298,68 @@ QList<QByteArray> ImapStreamParser::readParenthesizedList()
 
 bool ImapStreamParser::hasResponseCode()
 {
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int savedPos = m_position;
   stripLeadingSpaces();
   int pos = m_position;
   m_position = savedPos;
-  if ( m_data.at(pos) == '[' )
-  {
+  if ( m_data.at( pos ) == '[' ) {
     m_position = pos + 1;
     return true;
   }
-
   return false;
 }
 
 bool ImapStreamParser::atResponseCodeEnd()
 {
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int savedPos = m_position;
   stripLeadingSpaces();
   int pos = m_position;
   m_position = savedPos;
-  if ( m_data.at(pos) == ']' )
-  {
+  if ( m_data.at( pos ) == ']' ) {
     m_position = pos + 1;
     return true;
   }
-
   return false;
 }
 
 QByteArray ImapStreamParser::parseQuotedString()
 {
   QByteArray result;
-  if (! waitForMoreData( m_data.length() == 0 ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_data.length() == 0 ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   stripLeadingSpaces();
   int end = m_position;
   result.clear();
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
 
   bool foundSlash = false;
   // quoted string
-  if ( m_data.at(m_position) == '"' ) {
+  if ( m_data.at( m_position ) == '"' ) {
     ++m_position;
     int i = m_position;
     Q_FOREVER {
-      if ( !waitForMoreData( m_data.length() <= i ) )
-      {
+      if ( !waitForMoreData( m_data.length() <= i ) ) {
         m_position = i;
-        throw ImapParserException("Unable to read more data");
+        throw ImapParserException( "Unable to read more data" );
       }
-      if ( m_data.at(i) == '\\' ) {
+      if ( m_data.at( i ) == '\\' ) {
         i += 2;
         foundSlash = true;
         continue;
       }
-      if ( m_data.at(i) == '"' ) {
+      if ( m_data.at( i ) == '"' ) {
         result = m_data.mid( m_position, i - m_position );
         end = i + 1; // skip the '"'
         break;
@@ -362,32 +373,42 @@ QByteArray ImapStreamParser::parseQuotedString()
     bool reachedInputEnd = true;
     int i = m_position;
     Q_FOREVER {
-      if ( !waitForMoreData( m_data.length() <= i ) )
-      {
+      if ( !waitForMoreData( m_data.length() <= i ) ) {
         m_position = i;
-        throw ImapParserException("Unable to read more data");
+        throw ImapParserException( "Unable to read more data" );
       }
-      if ( m_data.at(i) == ' ' || m_data.at(i) == '(' || m_data.at(i) == ')' || m_data.at(i) == '[' || m_data.at(i) == ']' || m_data.at(i) == '\n' || m_data.at(i) == '\r' || m_data.at(i) == '"') {
+      if ( m_data.at( i ) == ' ' ||
+           m_data.at( i ) == '(' ||
+           m_data.at( i ) == ')' ||
+           m_data.at( i ) == '[' ||
+           m_data.at( i ) == ']' ||
+           m_data.at( i ) == '\n' ||
+           m_data.at( i ) == '\r' ||
+           m_data.at( i ) == '"' ) {
         end = i;
         reachedInputEnd = false;
         break;
       }
-      if (m_data.at(i) == '\\')
+      if ( m_data.at( i ) == '\\' ) {
         foundSlash = true;
+      }
       i++;
     }
-    if ( reachedInputEnd ) //FIXME: how can it get here?
+    if ( reachedInputEnd ) { //FIXME: how can it get here?
       end = m_data.length();
+    }
 
     result = m_data.mid( m_position, end - m_position );
   }
 
   // strip quotes
   if ( foundSlash ) {
-    while ( result.contains( "\\\"" ) )
+    while ( result.contains( "\\\"" ) ) {
       result.replace( "\\\"", "\"" );
-    while ( result.contains( "\\\\" ) )
+    }
+    while ( result.contains( "\\\\" ) ) {
       result.replace( "\\\\", "\\" );
+    }
   }
   m_position = end;
   return result;
@@ -396,24 +417,28 @@ QByteArray ImapStreamParser::parseQuotedString()
 qint64 ImapStreamParser::readNumber( bool * ok )
 {
   qint64  result;
-  if ( ok )
+  if ( ok ) {
     *ok = false;
-  if (! waitForMoreData( m_data.length() == 0 ) )
-    throw ImapParserException("Unable to read more data");
+  }
+  if ( !waitForMoreData( m_data.length() == 0 ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   stripLeadingSpaces();
-  if ( !waitForMoreData( m_position >= m_data.length() ) )
-    throw ImapParserException("Unable to read more data");
-  if ( m_position >= m_data.length() )
-    throw ImapParserException("Unable to read more data");
+  if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
+  if ( m_position >= m_data.length() ) {
+    throw ImapParserException( "Unable to read more data" );
+  }
   int i = m_position;
   Q_FOREVER {
-    if ( !waitForMoreData( m_data.length() <= i ) )
-    {
+    if ( !waitForMoreData( m_data.length() <= i ) ) {
       m_position = i;
-      throw ImapParserException("Unable to read more data");
+      throw ImapParserException( "Unable to read more data" );
     }
-    if ( !isdigit( m_data.at( i ) ) )
+    if ( !isdigit( m_data.at( i ) ) ) {
       break;
+    }
     ++i;
   }
   const QByteArray tmp = m_data.mid( m_position, i - m_position );
@@ -425,8 +450,7 @@ qint64 ImapStreamParser::readNumber( bool * ok )
 void ImapStreamParser::stripLeadingSpaces()
 {
   for ( int i = m_position; i < m_data.length(); ++i ) {
-    if ( m_data.at(i) != ' ' )
-    {
+    if ( m_data.at( i ) != ' ' ) {
       m_position = i;
       return;
     }
@@ -438,10 +462,9 @@ bool ImapStreamParser::waitForMoreData( bool wait )
 {
    if ( wait ) {
      if ( m_socket->bytesAvailable() > 0 ||
-          m_socket->waitForReadyRead(30000) ) {
+          m_socket->waitForReadyRead( 30000 ) ) {
         m_data.append( m_socket->readAll() );
-     } else
-     {
+     } else {
        return false;
      }
    }
@@ -455,28 +478,31 @@ void ImapStreamParser::setData( const QByteArray &data )
 
 QByteArray ImapStreamParser::readRemainingData()
 {
-  return m_data.mid(m_position);
+  return m_data.mid( m_position );
 }
 
 int ImapStreamParser::availableDataSize() const
 {
-  return m_socket->bytesAvailable()+m_data.size()-m_position;
+  return m_socket->bytesAvailable() + m_data.size() - m_position;
 }
 
 bool ImapStreamParser::atCommandEnd()
 {
   int savedPos = m_position;
   do {
-    if ( !waitForMoreData( m_position >= m_data.length() ) )
-      throw ImapParserException("Unable to read more data");
+    if ( !waitForMoreData( m_position >= m_data.length() ) ) {
+      throw ImapParserException( "Unable to read more data" );
+    }
     stripLeadingSpaces();
   } while ( m_position >= m_data.size() );
 
-  if ( m_data.at(m_position) == '\n' || m_data.at(m_position) == '\r') {
-    if ( m_data.at(m_position) == '\r' )
+  if ( m_data.at( m_position ) == '\n' || m_data.at( m_position ) == '\r' ) {
+    if ( m_data.at( m_position ) == '\r' ) {
       ++m_position;
-    if ( m_position < m_data.length() && m_data.at(m_position) == '\n' )
+    }
+    if ( m_position < m_data.length() && m_data.at( m_position ) == '\n' ) {
       ++m_position;
+    }
 
     // We'd better empty m_data from time to time before it grows out of control
     trimBuffer();
@@ -493,29 +519,30 @@ QByteArray ImapStreamParser::readUntilCommandEnd()
   int i = m_position;
   int paranthesisBalance = 0;
   Q_FOREVER {
-    if ( !waitForMoreData( m_data.length() <= i ) )
-    {
+    if ( !waitForMoreData( m_data.length() <= i ) ) {
       m_position = i;
-      throw ImapParserException("Unable to read more data");
+      throw ImapParserException( "Unable to read more data" );
     }
-    if ( m_data.at(i) == '{' )
-    {
+    if ( m_data.at( i ) == '{' ) {
       m_position = i - 1;
       hasLiteral(); //init literal size
-      result.append(m_data.mid(i-1, m_position - i +1));
-      while (!atLiteralEnd())
-      {
+      result.append( m_data.mid( i - 1, m_position - i + 1 ) );
+      while ( !atLiteralEnd() ) {
         result.append( readLiteralPart() );
       }
       i = m_position;
     }
-    if ( m_data.at(i) == '(' )
+    if ( m_data.at( i ) == '(' ) {
       paranthesisBalance++;
-    if ( m_data.at(i) == ')' )
+    }
+    if ( m_data.at( i ) == ')' ) {
       paranthesisBalance--;
-    if ( ( i == m_data.length() && paranthesisBalance == 0 ) || m_data.at(i) == '\n'  || m_data.at(i) == '\r')
+    }
+    if ( ( i == m_data.length() && paranthesisBalance == 0 ) ||
+         m_data.at( i ) == '\n'  || m_data.at( i ) == '\r') {
       break; //command end
-    result.append( m_data.at(i) );
+    }
+    result.append( m_data.at( i ) );
     ++i;
   }
   m_position = i;
@@ -525,16 +552,17 @@ QByteArray ImapStreamParser::readUntilCommandEnd()
 
 void ImapStreamParser::sendContinuationResponse( qint64 size )
 {
-  QByteArray block = "+ Ready for literal data (expecting "
-                   + QByteArray::number( size ) + " bytes)\r\n";
-  m_socket->write(block);
-  m_socket->waitForBytesWritten(30000);
+  QByteArray block = "+ Ready for literal data (expecting " +
+                     QByteArray::number( size ) + " bytes)\r\n";
+  m_socket->write( block );
+  m_socket->waitForBytesWritten( 30000 );
 }
 
 void ImapStreamParser::trimBuffer()
 {
-  if ( m_position < 4096 ) // right() is expensive, so don't do it for every line
+  if ( m_position < 4096 ) { // right() is expensive, so don't do it for every line
     return;
-  m_data = m_data.right(m_data.size()-m_position);
+  }
+  m_data = m_data.right( m_data.size() - m_position );
   m_position = 0;
 }
diff --git a/kimap/imapstreamparser.h b/kimap/imapstreamparser.h
index 7c43d1d..12e97b0 100644
--- a/kimap/imapstreamparser.h
+++ b/kimap/imapstreamparser.h
@@ -36,9 +36,9 @@ namespace KIMAP {
 class ImapParserException : public std::exception
 {
   public:
-    ImapParserException( const char *what ) throw() : mWhat( what ) {}
-    ImapParserException( const QByteArray &what ) throw() : mWhat( what ) {}
-    ImapParserException( const QString &what ) throw() : mWhat( what.toUtf8() ) {}
+    explicit ImapParserException( const char *what ) throw() : mWhat( what ) {}
+    explicit ImapParserException( const QByteArray &what ) throw() : mWhat( what ) {}
+    explicit ImapParserException( const QString &what ) throw() : mWhat( what.toUtf8() ) {}
     ImapParserException( const ImapParserException &other ) throw() : std::exception( other ), mWhat( other.what() ) {}
     virtual ~ImapParserException() throw() {}
     const char *what() const throw() { return mWhat.constData(); }
@@ -86,7 +86,6 @@ class KIMAP_EXPORT ImapStreamParser
      */
     QList<QByteArray> readParenthesizedList();
 
-
     /**
      * Get the next data as a number. This call might block.
      * @param ok true if the data found was a number
@@ -181,7 +180,6 @@ class KIMAP_EXPORT ImapStreamParser
 
     void setData( const QByteArray &data );
 
-
   private:
     void stripLeadingSpaces();
     QByteArray parseQuotedString();
diff --git a/kimap/job.cpp b/kimap/job.cpp
index cd30eec..938c941 100644
--- a/kimap/job.cpp
+++ b/kimap/job.cpp
@@ -22,21 +22,19 @@
 #include "message_p.h"
 #include "session_p.h"
 
-#include <klocale.h>
-#include <kdebug.h>
+#include <KDE/KLocalizedString>
+#include <KDE/KDebug>
 
 using namespace KIMAP;
 
 Job::Job( Session *session )
-  : KJob( session ), d_ptr(new JobPrivate(session, i18n("Job")))
+  : KJob( session ), d_ptr( new JobPrivate( session, i18n( "Job" ) ) )
 {
-
 }
 
 Job::Job( JobPrivate &dd )
-  : KJob( dd.m_session ), d_ptr(&dd)
+  : KJob( dd.m_session ), d_ptr( &dd )
 {
-
 }
 
 Job::~Job()
@@ -46,40 +44,40 @@ Job::~Job()
 
 Session *Job::session() const
 {
-  Q_D(const Job);
+  Q_D( const Job );
   return d->m_session;
 }
 
 void Job::start()
 {
-  Q_D(Job);
-  d->sessionInternal()->addJob(this);
+  Q_D( Job );
+  d->sessionInternal()->addJob( this );
 }
 
 void Job::handleResponse(const Message &response)
 {
-  handleErrorReplies(response);
+  handleErrorReplies( response );
 }
 
 void Job::connectionLost()
 {
   setError( KJob::UserDefinedError );
-  setErrorText( i18n("Connection to server lost.") );
+  setErrorText( i18n( "Connection to server lost." ) );
   emitResult();
 }
 
 Job::HandlerResponse Job::handleErrorReplies(const Message &response)
 {
-  Q_D(Job);
-//   qDebug() << response.toString();
+  Q_D( Job );
+//   kDebug() << response.toString();
 
-  if ( !response.content.isEmpty()
-       && d->tags.contains( response.content.first().toString() ) ) {
+  if ( !response.content.isEmpty() &&
+       d->tags.contains( response.content.first().toString() ) ) {
     if ( response.content.size() < 2 ) {
-      setErrorText( i18n("%1 failed, malformed reply from the server.", d->m_name) );
+      setErrorText( i18n( "%1 failed, malformed reply from the server.", d->m_name ) );
     } else if ( response.content[1].toString() != "OK" ) {
       setError( UserDefinedError );
-      setErrorText( i18n("%1 failed, server replied: %2", d->m_name, response.toString().constData()) );
+      setErrorText( i18n( "%1 failed, server replied: %2", d->m_name, response.toString().constData() ) );
     }
     d->tags.removeAll( response.content.first().toString() );
     if ( d->tags.isEmpty() ) { // Only emit result when the last command returned
@@ -92,3 +90,4 @@ Job::HandlerResponse Job::handleErrorReplies(const Message &response)
 }
 
 #include "job.moc"
+
diff --git a/kimap/job.h b/kimap/job.h
index 79dd9a6..6bb5670 100644
--- a/kimap/job.h
+++ b/kimap/job.h
@@ -22,7 +22,7 @@
 
 #include "kimap_export.h"
 
-#include <kjob.h>
+#include <KDE/KJob>
 
 namespace KIMAP {
 
@@ -34,7 +34,7 @@ struct Message;
 class KIMAP_EXPORT Job : public KJob
 {
   Q_OBJECT
-  Q_DECLARE_PRIVATE(Job)
+  Q_DECLARE_PRIVATE( Job )
 
   friend class SessionPrivate;
 
diff --git a/kimap/job_p.h b/kimap/job_p.h
index b04cf9c..6e4b717 100644
--- a/kimap/job_p.h
+++ b/kimap/job_p.h
@@ -21,7 +21,7 @@
 #define KIMAP_JOB_P_H
 
 #include "session.h"
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 namespace KIMAP {
 
@@ -30,7 +30,7 @@ class SessionPrivate;
 class JobPrivate
 {
   public:
-    JobPrivate( Session *session, const QString& name ) : m_session(session)  {
+    JobPrivate( Session *session, const QString& name ) : m_session( session )  {
       m_name = name;
     }
     virtual ~JobPrivate() { }
diff --git a/kimap/listjob.cpp b/kimap/listjob.cpp
index 60f8071..322fc37 100644
--- a/kimap/listjob.cpp
+++ b/kimap/listjob.cpp
@@ -21,7 +21,7 @@
 
 #include <boost/bind.hpp>
 #include <QtCore/QTimer>
-#include <klocale.h>
+#include <KDE/KLocalizedString>
 
 #include "job_p.h"
 #include "message_p.h"
@@ -33,7 +33,7 @@ namespace KIMAP
   class ListJobPrivate : public JobPrivate
   {
     public:
-      ListJobPrivate( ListJob *job, Session *session, const QString& name ) : JobPrivate(session, name), q(job), option(ListJob::NoOption) { }
+      ListJobPrivate( ListJob *job, Session *session, const QString& name ) : JobPrivate( session, name ), q( job ), option( ListJob::NoOption ) { }
       ~ListJobPrivate() { }
 
       void emitPendings()
@@ -63,9 +63,9 @@ namespace KIMAP
 using namespace KIMAP;
 
 ListJob::ListJob( Session *session )
-  : Job( *new ListJobPrivate(this, session, i18n("List")) )
+  : Job( *new ListJobPrivate( this, session, i18n( "List" ) ) )
 {
-  Q_D(ListJob);
+  Q_D( ListJob );
   connect( &d->emitPendingsTimer, SIGNAL(timeout()),
            this, SLOT(emitPendings()) );
 }
@@ -76,8 +76,8 @@ ListJob::~ListJob()
 
 void ListJob::setIncludeUnsubscribed( bool include )
 {
-  Q_D(ListJob);
-  if (include) {
+  Q_D( ListJob );
+  if ( include ) {
     d->option = ListJob::IncludeUnsubscribed;
   } else {
     d->option = ListJob::NoOption;
@@ -86,31 +86,31 @@ void ListJob::setIncludeUnsubscribed( bool include )
 
 bool ListJob::isIncludeUnsubscribed() const
 {
-  Q_D(const ListJob);
+  Q_D( const ListJob );
   return ( d->option == ListJob::IncludeUnsubscribed );
 }
 
 void ListJob::setOption( Option option )
 {
-  Q_D(ListJob);
+  Q_D( ListJob );
   d->option = option;
 }
 
 ListJob::Option ListJob::option() const
 {
-  Q_D(const ListJob);
+  Q_D( const ListJob );
   return d->option;
 }
 
 void ListJob::setQueriedNamespaces( const QList<MailBoxDescriptor> &namespaces )
 {
-  Q_D(ListJob);
+  Q_D( ListJob );
   d->namespaces = namespaces;
 }
 
 QList<MailBoxDescriptor> ListJob::queriedNamespaces() const
 {
-  Q_D(const ListJob);
+  Q_D( const ListJob );
   return d->namespaces;
 }
 
@@ -126,9 +126,9 @@ QMap< MailBoxDescriptor, QList<QByteArray> > ListJob::flags() const
 
 void ListJob::doStart()
 {
-  Q_D(ListJob);
+  Q_D( ListJob );
 
-  switch (d->option) {
+  switch ( d->option ) {
     break;
   case IncludeUnsubscribed:
     d->command = "LIST";
@@ -157,20 +157,20 @@ void ListJob::doStart()
       }
 
       d->tags << d->sessionInternal()->sendCommand( d->command,
-                                                    parameters.arg( descriptor.name+'*' ).toUtf8() );
+                                                    parameters.arg( descriptor.name + '*' ).toUtf8() );
     }
   }
 }
 
 void ListJob::handleResponse( const Message &response )
 {
-  Q_D(ListJob);
+  Q_D( ListJob );
 
   // We can predict it'll be handled by handleErrorReplies() so stop
   // the timer now so that result() will really be the last emitted signal.
-  if ( !response.content.isEmpty()
-       && d->tags.size() == 1
-       && d->tags.contains( response.content.first().toString() ) ) {
+  if ( !response.content.isEmpty() &&
+       d->tags.size() == 1 &&
+       d->tags.contains( response.content.first().toString() ) ) {
     d->emitPendingsTimer.stop();
     d->emitPendings();
   }
@@ -178,7 +178,7 @@ void ListJob::handleResponse( const Message &response )
   if ( handleErrorReplies( response ) == NotHandled ) {
     if ( response.content.size() >= 5 && response.content[1].toString() == d->command ) {
       QList<QByteArray> flags = response.content[2].toList();
-      std::transform( flags.begin(), flags.end(), flags.begin(), boost::bind(&QByteArray::toLower, _1) );
+      std::transform( flags.begin(), flags.end(), flags.begin(), boost::bind( &QByteArray::toLower, _1 ) );
       QByteArray separator = response.content[3].toString();
       if ( separator.isEmpty() ) {
         // Defaults to / for servers reporting an empty list
@@ -186,7 +186,7 @@ void ListJob::handleResponse( const Message &response )
         // only do it for mailboxes with no child.
         separator = "/"; //krazy:exclude=doublequote_chars since a QByteArray
       }
-      Q_ASSERT(separator.size()==1);
+      Q_ASSERT( separator.size() == 1 );
       QByteArray fullName;
       for ( int i=4; i<response.content.size(); i++ ) {
         fullName += response.content[i].toString() + ' ';
@@ -209,12 +209,16 @@ void ListJob::handleResponse( const Message &response )
 void ListJob::convertInboxName(KIMAP::MailBoxDescriptor& descriptor)
 {
     //Inbox must be case sensitive, according to the RFC, so make it always uppercase
-    QStringList pathParts = descriptor.name.split(descriptor.separator);
-    if ( !pathParts.isEmpty() && pathParts[0].compare( QLatin1String("INBOX"), Qt::CaseInsensitive ) == 0 ) {
-       pathParts.removeAt(0);
-       descriptor.name = QLatin1String("INBOX");
-       if ( !pathParts.isEmpty() )
+    QStringList pathParts = descriptor.name.split( descriptor.separator );
+    if ( !pathParts.isEmpty() &&
+         pathParts[0].compare( QLatin1String( "INBOX" ), Qt::CaseInsensitive ) == 0 ) {
+       pathParts.removeAt( 0 );
+       descriptor.name = QLatin1String( "INBOX" );
+       if ( !pathParts.isEmpty() ) {
         descriptor.name += descriptor.separator + pathParts.join( descriptor.separator );
+       }
     }
 }
+
 #include "listjob.moc"
+
